--- /usr/local/sbin/i2p-browser.old
+++ /usr/local/sbin/i2p-browser
@@ -98,9 +98,15 @@
     trap cleanup INT
     trap cleanup EXIT
 
+    local rootfs_dir
+    local aufs_opts="noatime,noxino,dirs=${COW}=rw"
+    for rootfs_dir in /lib/live/mount/rootfs/*; do
+        mountpoint -q "$rootfs_dir" && aufs_opts+=":${rootfs_dir}=rr+wh"
+    done
+
     mkdir -p ${COW} ${CHROOT} && \
     mount -t tmpfs tmpfs ${COW} && \
-    mount -t aufs -o noatime,noxino,dirs=${COW}=rw:${ROFS}=rr+wh aufs ${CHROOT} && \
+    mount -t aufs -o ${aufs_opts} aufs ${CHROOT} && \
     mount -t proc proc ${CHROOT}/proc && \
     mount --bind /dev ${CHROOT}/dev || \
     error "`gettext \"Failed to setup chroot.\"`"
